Issue 40705 - cannot move toolbar after resizing (metacity: disable workarounds)
Summary: cannot move toolbar after resizing (metacity: disable workarounds)
Status: ACCEPTED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: 680m71
Hardware: PC Linux, all
: P4 Trivial (vote)
Target Milestone: AOO Later
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2005-01-14 19:42 UTC by lohmaier
Modified: 2013-07-30 02:24 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description lohmaier 2005-01-14 19:42:16 UTC
Running 1.9m71 (german langpack) on linux with gnome 2.8 

To reproduce:
1) Open a writer document and tear-off a toolbar.
   -> You can freely move it by dragging the title-bar.
2) Now resize it (make it fit on two rows instead of one)
   -> You can no longer move the toolbar by dragging the title-bar
      you can however move it when pressing the window-manager's modifier key 
     (<alt> in my case)
3) Dock and undock the toolbar
   -> moving works again.

This is reproducible 100%
Comment 1 mci 2005-01-21 11:34:56 UTC
Hi cloph,

thanks for using and supporting OpenOffice.org...

I tried this on Fedora 3 and Gnome 2.8 using Office m73 and the moving of
undocked toolbars worked as expected...

Please tell us 
- which windowmanager (incl. version) do you use?
Comment 2 lohmaier 2005-01-21 12:55:31 UTC
reopening. I know figured out why it doesn't work on my machine:

I set metacity to disable workarounds (gconf-editor -> apps -> metacity -> general)
metacity is version 2.8.6

Description of gconf-key /apps/metacity/general/disable_workarounds
#####
Disable misfeatures that are required by old or broken applications

Some applications break specifications in ways that result in window manager
misfeatures. For example, ideally Metacity would place all dialogs in a
consistent position with respect to their parent window. This requires ignoring
application-specified positions for dialogs. But some versions of Java/Swing
mark their popup menus as dialogs, so Metacity has to disable dialog positioning
to allow menus to work in broken Java applications. There are several other
examples like this. This option puts Metacity in full-on Correct mode, which
perhaps gives a moderately nicer UI if you don't need to run any broken apps.
Sadly, workarounds must be enabled by default; the real world is an ugly place.
Some of the workarounds are workarounds for limitations in the specifications
themselves, so sometimes a bug in no-workarounds mode won't be fixable without
amending a spec. 
#####

Since this option is disabled by default I lowered Prio.

And a reminder: Moving works fine until you resize the toolbar. After resizing
the toolbar you cannot move it without pressing the modifier.
Docking and undocking will make the toolbar movable again using the titlebar.

To reproduce run 
"gconftool-2 --set --type bool /apps/metacity/general/disable_workarounds true"
or use gconf-editor to set the value.
No need to restart OOo or even gnome. This is instant-apply.
Drag away a toolbar and resize it -> cannot move it anymore without modifier
run
"gconftool-2 --set --type bool /apps/metacity/general/disable_workarounds false"
-> moving works again -> resize toolbar -> still works.
Comment 3 lohmaier 2005-02-16 18:44:21 UTC
ping.
(no response for a month)

This occurs with m78 as well. 
0) disable_workarounds in metacity 
1) resize a toolbar 
2) try to move it

-> you cannot move it without pressing modifier (<alt>).
Comment 4 lohmaier 2005-03-14 12:52:08 UTC
please comment on this one. Another month passed without a comment.
Comment 5 mci 2005-03-14 14:13:27 UTC
.
Comment 6 lohmaier 2005-03-14 14:58:03 UTC
Would you mind telling me in which build this is fixed?
The problem still occurs with the beta.
Comment 7 lohmaier 2005-03-17 17:03:35 UTC
reopen.
Not fixed in m86. So please tell me in where this is supposed to be fixed.
Comment 8 lohmaier 2005-04-02 23:54:43 UTC
still not working with m90 so I assume "comment" from mci went to the wrong issue.
Comment 9 mci 2005-04-12 11:35:14 UTC
Hi cloph, 
thanks for being patient and sorry for delay...
(I just didn't see this issue anymore??)...
It seems that my last comment went accidentally to this issue, soory for that...

I was able to reproduce behaviour today using your very good description
(gconf-editor...) on Fedora...

I rassign this issue to cd.

mci -> cd:
Hi cd,

this seems to be an issue for you (or for the VCL team?)...
I set this to a later target since disabling the workarounds for metacity is not
default (as cloph wrote, too)...
Comment 10 carsten.driesner 2005-04-12 11:58:54 UTC
cd->pl: Please take over, looks like a window manager problem.
Comment 11 philipp.lohmann 2005-04-12 13:00:11 UTC
"The real world is an ugly place" - ipse dixit :-)

One has to live with Window Managers, and they never let you do what you want :-(
Comment 12 philipp.lohmann 2005-04-25 15:54:53 UTC
adjust target
Comment 13 philipp.lohmann 2005-05-24 13:48:21 UTC
set target due to limited resources
Comment 14 Rob Weir 2013-07-30 02:24:06 UTC
Reset assignee on issues not touched by assignee in more than 2000 days.